Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class AuthorType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.AuthorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class AuthorType extends Object implements Serializable
the author assumes the medical responsibility of the content of the transaction. It can be specified by a combination of hcparty elements (organisation, medical specialty, person), but it must necessarily contain one hcparty identifying one person. The author is not the transcriptionist that has typed the report. The author is not necessarily the performer of the act that is reported by the transaction. In that case, the author of the transaction can be overwritten at the level of the item

Java class for authorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="authorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<HcpartyType>`
  `getHcparties()`
  Gets the value of the hcparties property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorType

    public AuthorType()

- ## Method Details

  - ### getHcparties

    public List<HcpartyType> getHcparties()
    Gets the value of the hcparties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcparties property.

    For example, to add a new item, do as follows:

         getHcparties().add(newItem);

    Objects of the following type(s) are allowed in the list `HcpartyType`

    Returns:
      The value of the hcparties property.